## gate.jape
Class Transducer

    java.lang.Object
      |
      +--gate.jape.Transducer

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  MultiPhaseTransducer, Rule, SinglePhaseTransducer

public abstract class Transducer
extends Object
implements Serializable

Represents a single or multiphase transducer.

See Also:
  Serialized Form

Constructor Summary
`Transducer()`

Method Summary
`void` `addProgressListener(ProgressListener l)`
`void` `addStatusListener(StatusListener l)`
`abstract void` `cleanUp()` Clean up (delete action class files, for e.g.).
`abstract void` `finish()` Finish: replace dynamic data structures with Java arrays; called after parsing.
`URL` `getBaseURL()`
`String` `getName()` Get the phase name of this transducer
`void` `interrupt()` Notifies this PR that it should stop its execution as soon as possible.
`boolean` `isDebugMode()`
`boolean` `isInterrupted()` Checks whether this PR has been interrupted since the lsat time its `execute()` method was called.
`void` `removeProgressListener(ProgressListener l)`
`void` `removeStatusListener(StatusListener l)`
`void` `setBaseURL(URL newBaseURL)`
`void` `setDebugMode(boolean debugMode)`
`abstract String` `toString(String pad)` Create a string representation of the object with padding.
`abstract void` `transduce(Document doc, AnnotationSet inputAS, AnnotationSet outputAS)` Transduce a document.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Transducer

    public Transducer()

Method Detail

### getName

    public String getName()

  Get the phase name of this transducer

### transduce

    public abstract void transduce(Document doc,
                                   AnnotationSet inputAS,
                                   AnnotationSet outputAS)
                            throws JapeException,
                                   ExecutionException

  Transduce a document.

### finish

    public abstract void finish()

  Finish: replace dynamic data structures with Java arrays; called after parsing.

### cleanUp

    public abstract void cleanUp()

  Clean up (delete action class files, for e.g.).

### toString

    public abstract String toString(String pad)

  Create a string representation of the object with padding.

### isInterrupted

    public boolean isInterrupted()

  Checks whether this PR has been interrupted since the lsat time its `execute()` method was called.

### interrupt

    public void interrupt()

  Notifies this PR that it should stop its execution as soon as possible.

### setBaseURL

    public void setBaseURL(URL newBaseURL)

### getBaseURL

    public URL getBaseURL()

### removeProgressListener

    public void removeProgressListener(ProgressListener l)

### addProgressListener

    public void addProgressListener(ProgressListener l)

### setDebugMode

    public void setDebugMode(boolean debugMode)

### isDebugMode

    public boolean isDebugMode()

### removeStatusListener

    public void removeStatusListener(StatusListener l)

### addStatusListener

    public void addStatusListener(StatusListener l)